﻿@model neew.Models.User
@using CaptchaMvc.HtmlHelpers
@using CaptchaMvc.Models
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>ثبت نام</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="../style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
   
    <div class="container" id="form">
        @using (Html.BeginForm(new { @class = "form-horizontal", role = "form" }))
        {
            @Html.AntiForgeryToken()

            <div class="form-horizontal">
                <h4>ثبت نام</h4>
                <hr />
                @Html.ValidationSummary(true)
                <div class="row" style="text-align:center">
                    <div class=" col-md-2"> </div>
                        <div class="col-md-3">
                            <h3>@ViewBag.log</h3> 
                            <br />
                        </div>     
                </div>
                <div class="row" style="text-align:center">
                    <div class=" col-md-2"> </div>
                    <div class="col-md-3">
                        <h3>@ViewBag.register</h3>
                        <br />
                    </div>
                </div>
              
                <div class="form-group">     
                        <label for="uname" class="control-label col-md-2">نام کاربری</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.UName, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.UName)
                    </div>
                </div>

                <div class="form-group">
                    <label for="FName" class="control-label col-md-2">نام</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.FName, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.FName)
                    </div>
                </div>

                <div class="form-group">
                    <label for="LName" class="control-label col-md-2">نام خانوادگی</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.LName, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.LName)
                    </div>
                </div>

                <div class="form-group">
                    <label for="Email" class="control-label col-md-2">ایمیل</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.Email, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Email)
                    </div>
                </div>

                <div class="form-group">
                    <label for="Pass" class="control-label col-md-2">پسورد</label>
                    <div class="col-md-3">
                        <input type="password" name="Pass" class="form-control" />
                        @*@Html.TextBoxFor(m => m.UName, new { @class = "form-control" })*@
                        @Html.ValidationMessageFor(model => model.Pass)
                    </div>
                </div>

                <div class="form-group">
                    <label for="Phone" class="control-label col-md-2">تلفن همراه</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.Phone, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.Phone)
                    </div>
                </div>

                <div class="form-group">
                    <label for="City" class="control-label col-md-2">شهر</label>
                    <div class="col-md-3">
                        @Html.TextBoxFor(m => m.City, new { @class = "form-control" })
                        @Html.ValidationMessageFor(model => model.City)
                    
                        @*@Html.DropDownList("CityID",Model)
                        @Html.DropDownList( "CityID",null, htmlAttributes: new { @class = "form-control" }) 
                        @Html.DropDownListFor(ViewBag.CityID,Model.City)
                        @Html.DropDownList("CityID", Model.City, "select",null)      
                       <div class="editor-field">
                            @Html.DropDownList("CityID", Model.City)
                        </div>
                        @Html.ValidationMessageFor(model => model.City, "", new { @class = "text-danger" })*@
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10"></div>
                    <div class="col-md-offset-2 col-md-2">
                        @Html.Captcha("جدید", "حروف را وارد کنید", 10, "حروف را وارد کنید", true)
                        @*@if (ViewBag.captchaerror != null)
                        {
                            <div>
                                @ViewBag.captchaerror
                            </div>

                        }*@
                    </div>
                </div>

                <div class="form-group ">
                    <div class="col-md-offset-3 col-md-10">
                        <input type="submit" value="ثبت" class="btn btn-default btn-lg" />
                        <input type="reset" value="نوسازی" class="btn btn-default btn-lg" />
                    </div>
                </div>
            </div>

        }

    </div>
</body>
</html>
